<template>
    <div v-if="true">
        <div>
            <h1>Recipe   :{{ recipeItem.strMeal }}</h1>
            <img :src="recipeItem.strMealThumb" />
            <button @click="emitShowRecipe">See more details</button>
        </div>
    </div>
</template>
<script>
export default {
    
    name: 'Recipe',
    props: {
        recipeItem: { objectType: Object, required: true },
    },
    data() {
        return {
            id:this.recipeItem.idMeal
        }
    },
    methods: {
        emitShowRecipe() {
           
            this.$emit('ShowRecipeEvent',this.id)
        },
    },
}
</script>
<style scoped>
img {
    width: 280px;
    height: 145px;
}
</style>
  